Subject: bug#5054: Man truncated

From: Juri Linkov <[email-masked]>
Date: Mon, 11 Jan 2010 23:59:03 +0200

>> And what to do with the created frame?  To leave it displaying
>> an empty buffer?
>
> The window (which probably should be dedicated initially to avoid that
> some other action steals it before formatting is complete) could first
> display some text about the formatting process in progress

My patch already inserts a line "Invoking manual-program man-args
in the background" in the displayed buffer until formatting is complete.

> and a more detailed text when formatting fails telling the user what
> the potential reasons of the failure were and how to get rid of the
> window or frame (and implicitly the temporary buffer).

I think you are right.  Exactly like e.g. `grep' displays the output
*grep* buffer with the text "Grep finished with no matches found",
so when `man' can't find a manpage, it should display a similar
error message in the man output buffer.

-- 
Juri Linkov
http://www.jurta.org/emacs/